Bug 136487 - installation fails to create user and group "tomcat"
installation fails to create user and group "tomcat"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 10:09 EDT by Philipp Berndt
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Berndt 2004-10-20 10:09:02 EDT
Description of problem:
installation fails to create user and group "tomcat"

Version-Release number of selected component (if applicable):
4.1.27-13

How reproducible:
(re-)install tomcat
Comment 1 Kenneth Porter 2005-03-14 16:50:41 EST
Works for me. (I installed it Thursday.) The preinstall script has the
appropriate commands:

[root@segw tomcat]# rpm -q --scripts tomcat
preinstall scriptlet (using /bin/sh):
/usr/sbin/groupadd -g 53 tomcat 2>/dev/null || :
/usr/sbin/useradd -u 53 -g tomcat -c "Tomcat server" \
    -s /sbin/nologin -r -d /var/lib/tomcat tomcat 2>/dev/null || :
postinstall scriptlet (using /bin/sh):
/sbin/chkconfig --add tomcat
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
    /sbin/service tomcat stop > /dev/null 2>&1
    /sbin/chkconfig --del tomcat
fi
Comment 2 Philipp Berndt 2005-03-15 02:51:39 EST
I believe at some point during installing I got some error message that user 
tomcat would not exist. 
Comment 3 Matthew Miller 2005-04-26 11:41:20 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-28 12:48:29 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.